This resource contains messages, notifications, and alerts sent to patients or other parties. Each communication entry contains the content, sender, recipient, status, and date information.
You can review or retrieve communications with FHIR® passthrough.
read
Review a specific Communication resource with message details, sender, recipient, and status for a given patient or contact.
cURL request example
Request Parameters
- idrequired, string
Communication identifier
- resourceTyperequired, string
Identifies the type of the resource
Value:Communication - statusrequired, string
The status of the transmission.
Possible Values:preparation,in-progress,not-done,on-hold,stopped,completed,entered-in-error,unknown - idstring
The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.
- identifierArray of object
Business identifiers assigned to this communication by the performer or other systems which remain constant as the resource is updated and propagates from server to server.
- extensionArray of Boolean, String, CodeableConcept, Coding
May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
- valueBooleanboolean
A single value for the extension.
- usestring
The purpose of this identifier.
Possible Values:usual,official,temp,secondary,old (If known) - systemstring
Establishes the namespace for the value - that is, a URL that describes a set values that are unique.
- valuestring
The portion of the identifier typically relevant to the user and which is unique within the context of the system.
- categoryArray of object
The type of message conveyed such as alert, notification, reminder, instruction, etc.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- subjectobject
The patient or group that was the focus of this communication.
Must be a resource of type
Patient.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- topicobject
Description of the purpose/content, similar to a subject line in an email.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- encounterobject
The Encounter during which this Communication was created or to which the creation of this record is tightly associated.
Must be a resource of type
Encounter.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- sentstring
The time when this communication was sent.
- receivedstring
The time when this communication arrived at the destination.
- recipientArray of object
The entity (e.g. person, organization, clinical information system, care team or device) which was the target of the communication. If receipts need to be tracked by an individual, a separate resource instance will need to be created for each recipient. Multiple recipient communications are intended where either receipts are not tracked (e.g. a mass mail-out) or a receipt is captured in aggregate (all emails confirmed received by a particular time).
Must reference one of the following types of resources:
DeviceOrganizationPatientPractitionerPractitionerRoleRelatedPersonGroupCareTeamHealthcareService
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- senderobject
The entity (e.g. person, organization, clinical information system, or device) which was the source of the communication.
Must reference one of the following types of resources:
DeviceOrganizationPatientPractitionerPractitionerRoleRelatedPersonHealthcareService
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- payloadArray of object
Text, attachment(s), or resource(s) that was communicated to the recipient.
- contentStringrequired, string
A communicated content (or for multi-part communications, one portion of the communication).
Only one of
contentString,contentAttachmentmay be present. - contentAttachmentrequired, object
A communicated content (or for multi-part communications, one portion of the communication).
Only one of
contentString,contentAttachmentmay be present.- contentTypestring
Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate.
- datastring
The actual data of the attachment - a sequence of bytes, base64 encoded.
- creationstring
The date that the attachment was first created.
A profile on the Communication resource that conforms to Redox requirements.